package com.palmnest.dao.virtfood;

import com.palmnest.application.bean.Page;
import com.palmnest.dao.GenericDao;
import com.palmnest.model.ScopeEntity;
import com.palmnest.model.virtfood.VirtFood;

import java.util.List;
import java.util.Map;

public interface VirtFoodDao extends GenericDao<VirtFood, Long> {

	public Page findPageBy(Map<String, Object> params, int pageSize, int pageNo);

	public Integer insertFoodOrg(Long food_id, Long org_id);

	public Integer updateEnable(VirtFood food);

	public Page getProjects(int pageSize, int pageNo, String projectName);

	public Page getProjectsOfLate(ScopeEntity scopeEntity, int pageSize, int pageNo);

	public VirtFood getBySpid(String spid);

	public List<VirtFood> findAll(Map<String, Object> params);

	public String getFoodIdByOrgId(String orgId);

	public Integer deleteFoodOrg(Long food_id, Long org_id);
}
